#### Previous topic

scipy.interpolate.ppform.from_bernstein_basis

#### Next topic

scipy.interpolate.ppform.fromspline

# scipy.interpolate.ppform.from_spline

`ppform.``from_spline`(tck, extrapolate=None)

  Construct a piecewise polynomial from a spline

  Parameters:

  tck

  > A spline, as returned by `splrep`

  extrapolate : bool, optional

  > Whether to extrapolate to ouf-of-bounds points based on first and last intervals, or to return NaNs. Default: True.